using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.AE
{
    /// <summary>
    /// 事故现场
    /// </summary>
    [Description("事故现场")]
    public class T_AE_ACCIDENT_EVENT_REPORT_FILE : MesEntityBase
    {
        /// <summary>
        /// 事故事件上报表
        /// </summary>
        [Description("事故事件上报表")]
        [DataFieldForeignKey("Nav_Report", "Nav_Files")]
        public Guid REPORT_ID { get; set; }

        /// <summary>
        /// 导航: 事故事件上报表
        /// </summary>
        [Description("导航: 事故事件上报表")]
        public T_AE_ACCIDENT_EVENT_REPORT Nav_Report { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
